chr
convert_cyr_string
String Functions
PHP Manual

# chunk_split

(PHP 4, PHP 5)

chunk_split — Split a string into smaller chunks

### Description

string chunk_split ( string `$body` [, int `$chunklen` [, string `$end` ]] )

Can be used to split a string into smaller chunks which is useful for e.g. converting base64_encode() output to match RFC 2045 semantics. It inserts `end` every `chunklen` characters.

### Parameters

`body`

  The string to be chunked.

`chunklen`

  The chunk length. Defaults to 76.

`end`

  The line ending sequence. Defaults to "\r\n".

### Return Values

Returns the chunked string.

### Examples

Example #1 chunk_split() example

`<?php
// format $data using RFC 2045 semantics
$new_string = chunk_split(base64_encode($data));
?>`

### See Also

- str_split()
- explode()
- split()
- wordwrap()
- » RFC 2045

chr
convert_cyr_string
String Functions
PHP Manual